﻿using System;
using System.Windows;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace WPFDisplayASimpleMap
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            wpfMap1.MapUnit = GeographyUnit.DecimalDegree;
            wpfMap1.CurrentExtent = new RectangleShape(-155.733, 95.60, 104.42, -81.9);
            wpfMap1.Overlays.Add(new WorldMapKitWmsWpfOverlay());

            ShapeFileFeatureLayer usStatesLayer = new ShapeFileFeatureLayer(@"App_Data\USStates.shp");

            usStatesLayer.Open();
            var queryResult = usStatesLayer.QueryTools.ExecuteQuery("Select area from USStates where ( STATE_NAME = 'Utah') ");
            txtArea.Text = String.Format("Area of UTAH: {0} ", queryResult.Rows[0].ItemArray[0]);

            wpfMap1.Refresh();
        }
    }
}